Loading...
Searching...
No Matches
StaggeredQuadraticSampler Struct Reference

`#include <openvdb/tools/Interpolation.h>`

Inheritance diagram for StaggeredQuadraticSampler:

## Static Public Member Functions

static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT>
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Triquadratically reconstruct inTree at inCoord and store the result in result.
template<class TreeT>
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Triquadratically reconstruct inTree at to inCoord.

## Member Function Documentation

## consistent()

bool consistent | ( |  | ) |

inline static

## mipmap()

bool mipmap | ( |  | ) |

inline static

## name()

const char * name | ( |  | ) |

inline static

## order()

size_t order | ( |  | ) |

inline static

## radius()

int radius | ( |  | ) |

inline static

## sample() [1/2]

template<class TreeT>

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord )

inline static

Triquadratically reconstruct inTree at to inCoord.

Returns
  the reconstructed value

## sample() [2/2]

template<class TreeT>

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result )

inline static

Triquadratically reconstruct inTree at inCoord and store the result in result.

Returns
  true if any one of the sampled values is active.

## staggered()

bool staggered | ( |  | ) |

inline static